Bug 505755 - Install issue for all bacula console subpackages (and tray monitor)
Install issue for all bacula console subpackages (and tray monitor)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 11:07 EDT by Paul Howarth
Modified: 2010-05-18 09:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: bacula-2.4.4-6.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 15:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log of bacula/mysql install on fresh F11 system (11.92 KB, application/octet-stream)
2009-06-13 11:07 EDT, Paul Howarth
no flags Details

  None (edit)
Description Paul Howarth 2009-06-13 11:07:39 EDT
Created attachment 347744 [details]
Log of bacula/mysql install on fresh F11 system

Description of problem:
All of the console subpackages (plus tray monitor) include files or directories that need to be owned by the "bacula" group. This group is created in the %pre script of bacula-common, but none of the mentioned packages have a dependency on bacula-common, so it's possible to install them without the common package, which results in the files/directories being owned by "root" instead of "bacula", leading to permissions problems down the road.



Version-Release number of selected component (if applicable):
2.4.4-3.fc11

How reproducible:
Every time.

Steps to Reproduce:
1. Start with a fresh Fedora install
2. yum install bacula-console bacula-console-bat
  
Actual results:
/etc/bacula/*.conf owned by group root

Expected results:
/etc/bacula/*.conf owned by group bacula

Additional info:
I think the console packages are missing a dependency on bacula-common, but an alternative solution would be to replicate the group creation from the common package into the affected packages.


As a side issue, Fedora guidelines (https://fedoraproject.org/wiki/Packaging:UsersAndGroups) say not to remove user and group accounts if a package is deleted. This would be especially important to adhere to if the group creation is copied to multiple subpackages, though I would suggest getting rid of it anyway.
Comment 1 Fedora Update System 2009-07-23 13:28:21 EDT
bacula-2.4.4-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-4.fc11
Comment 2 Fedora Update System 2009-07-23 13:28:31 EDT
bacula-2.4.4-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-4.fc10
Comment 3 Fedora Update System 2009-07-24 15:36:22 EDT
bacula-2.4.4-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7975
Comment 4 Fedora Update System 2009-07-24 15:37:30 EDT
bacula-2.4.4-4.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7977
Comment 5 Fedora Update System 2009-07-31 11:41:11 EDT
bacula-2.4.4-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-5.fc11
Comment 6 Fedora Update System 2009-07-31 11:41:22 EDT
bacula-2.4.4-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-5.fc10
Comment 7 Fedora Update System 2009-08-01 19:54:27 EDT
bacula-2.4.4-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8191
Comment 8 Fedora Update System 2009-08-01 19:59:14 EDT
bacula-2.4.4-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8206
Comment 9 Paul Howarth 2009-08-07 11:24:01 EDT
bacula-traymonitor includes %{_sysconfdir}/bacula/tray-monitor.conf which has GID bacula but still has no dependency on bacula-common to ensure that that group is present.

If bacula-traymonitor grows a dependency on bacula-common then all of the packages would then depend on bacula-common and the bacula-sysconfdir package could be merged back into the bacula-common package...

The %postun script for bacula-common is still removing the bacula user and group despite the packaging guidelines saying not to do this.
Comment 10 Jon Ciesla 2009-08-10 16:06:30 EDT
Update coming to fix -common requires and postun UID removal.  I'm not pulling the sysconfdir pacakge yet, since I didn't put it in and don't fully recall teh reasoning behind it, and don't have time to research it this afternoon.
Comment 11 Fedora Update System 2009-08-11 08:09:46 EDT
bacula-2.4.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/bacula-2.4.4-6.fc10
Comment 12 Fedora Update System 2009-08-11 08:09:58 EDT
bacula-2.4.4-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bacula-2.4.4-6.fc11
Comment 13 Fedora Update System 2009-08-11 18:30:37 EDT
bacula-2.4.4-6.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8452
Comment 14 Fedora Update System 2009-08-11 18:35:34 EDT
bacula-2.4.4-6.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bacula'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8485
Comment 15 Felix Schwarz 2009-08-16 06:46:41 EDT
(In reply to comment #10)
> Update coming to fix -common requires and postun UID removal.  I'm not pulling
> the sysconfdir pacakge yet, since I didn't put it in and don't fully recall teh
> reasoning behind it, and don't have time to research it this afternoon.  

Wasn't this due to bug 473627?
Comment 16 Jon Ciesla 2009-08-17 09:37:54 EDT
Yes, but we had a large discussion over -filesystem vs. -common in FPC last week.  My point is that while I think merging -filesystem pack into -common is a great idea, I think that since Andreas did it, I'd at least like his buy-in, especially as he's the maintainer. :)
Comment 17 Paul Howarth 2009-11-24 10:37:21 EST
I'm happy that the issues I reported in this ticket are now fixed.

The only thing remaining is whether to merge -filesystem back into -common or not. I can't think of any reason not to.

Let's make a decision and close this ticket.

Andreas?
Comment 18 Bug Zapper 2010-04-27 10:52:16 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Fedora Update System 2010-05-11 15:47:05 EDT
bacula-2.4.4-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Paul Howarth 2010-05-12 11:40:38 EDT
Is there really a good technical reason why bacula-sysconfdir can't be merged back into bacula-common now? At least in Rawhide?
Comment 21 Jon Ciesla 2010-05-12 11:57:46 EDT
I don't object, but it's not my package, or, therefore, my call, really.  I see no reason not to file a bug for it.
Comment 22 Paul Howarth 2010-05-18 09:42:20 EDT
OK, raised as Bug #593307.

Note You need to log in before you can comment on or make changes to this bug.